# Uses of Enum
org.eclipse.microprofile.lra.tck.service.LRAMetricType

Packages that use LRAMetricType
Package
Description
org.eclipse.microprofile.lra.tck.service

## Uses of LRAMetricType in org.eclipse.microprofile.lra.tck.service

Methods in org.eclipse.microprofile.lra.tck.service that return LRAMetricType
Modifier and Type
Method
Description
`static LRAMetricType`
LRAMetricType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LRAMetricType[]`
LRAMetricType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.lra.tck.service with parameters of type LRAMetricType
Modifier and Type
Method
Description
`int`
LRAMetricRest.`getMetric(LRAMetricType metricType, URI lra, String participantName)`
`int`
LRAMetricService.`getMetric(LRAMetricType metricType, URI lraId)`
Returns count number for particular metric type.
`int`
LRAMetricService.`getMetric(LRAMetricType metricType, URI lraId, Class<?> participantClazz)`
Returns count number for particular metric type filtered by LRA id and the participant class which defines the participant name (the fully qualified class name is used for it).
`int`
LRAMetricService.`getMetric(LRAMetricType metricType, URI lraId, String participantClassName)`
Returns count number for particular metric type filtered by LRA id and the participant's name.
`int`
LRAMetricService.`getMetricAll(LRAMetricType metricType)`
Returns count number for particular metric type regardless of the LRA id or the participant's name.
`void`
LRAMetricService.`incrementMetric(LRAMetricType metricType, URI lraId, Class<?> participantClazz)`
It increments counter of the metric type for particular LRA id and particular participant class which is translated to fully qualified class name as participant name.